Bug 205801 - perl-Class-C3 provides wrong version of perl(Class::C3)
perl-Class-C3 provides wrong version of perl(Class::C3)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Class-C3 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 12:25 EDT by Roy-Magne Mo
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 21:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy-Magne Mo 2006-09-08 12:25:46 EDT
Description of problem:


Version-Release number of selected component (if applicable):
0.13-3.fc5

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
rpm -qp --provides
http://mirrors.dignet.no/fedora/extras/5/i386/perl-Class-C3-0.13-3.fc5.noarch.rpm
perl(Class::C3) = 0.01
perl-Class-C3 = 0.13-3.fc5

Expected results:
should provide: perl(Class::C3) = 0.13


Additional info:
Comment 1 Nigel Metheringham 2006-09-10 14:01:50 EDT
This is a bug in the rpm dependancy scripts - see Bug #204800 for my report
based on this problem in this package.
Comment 2 Nigel Metheringham 2006-09-10 14:03:13 EDT
Obviously adding an explicit provides in the spec works (but leaves the old
provide of a 0.01 version in the package so is at best a hack)
Comment 3 Roy-Magne Mo 2006-09-10 14:18:34 EDT
As a temporary fix, you'll have to override the autogenerated provides and
specify it manually. This package is broken as it is now.
Comment 4 Chris Weyl 2006-09-19 21:13:45 EDT
Ok, so for this package it's easy enough; I'm disabling the autoprovides and
setting an explicit provides.

Building now...

Note You need to log in before you can comment on or make changes to this bug.